YoYInflationCapFloor::arguments Class Reference

Arguments for YoY Inflation cap/floor calculation More...

`#include <ql/instruments/inflationcapfloor.hpp>`

Inherits PricingEngine::arguments.

## Public Member Functions

void | validate () const

## Public Attributes

YoYInflationCapFloor::Type | type
ext::shared_ptr< YoYInflationIndex > | index
Period | observationLag
std::vector< Date > | startDates
std::vector< Date > | fixingDates
std::vector< Date > | payDates
std::vector< Time > | accrualTimes
std::vector< Rate > | capRates
std::vector< Rate > | floorRates
std::vector< Real > | gearings
std::vector< Real > | spreads
std::vector< Real > | nominals

## Detailed Description

Arguments for YoY Inflation cap/floor calculation